@use "@/theme/base.scss";

.dropdownTrigger {
  > :global(.icon) {
    padding-left: 0.5rem;
  }
}

.dropdownButton {
  margin: 0;
}

.dropdown {
  ~ .dropdown {
    margin-left: 0.5rem;
  }
  display: inline-flex;
  position: relative;
  &[data-active="false"] {
    .dropdownMenu {
      display: none;
    }
  }
  &[data-active="true"] {
    .dropdownMenu {
      @include base.slidein;
    }
  }
  margin-bottom: var(--spacing);
}

.dropdownContent {
  min-width: 200px;
}

.dropdownContents {
  max-height: 200px;
  overflow: auto;
  display: flex;
  flex-direction: column;
}

.dropdownMenu {
  @include base.elevated-box;
  background: var(--box-dark-background-color);
  color: var(--color);
  border: var(--border-width) solid var(--muted-border-color);
  position: absolute;
  overflow: hidden;
  display: block;
  flex-direction: column;
  top: 100%;
  left: 0;
  z-index: 20;
  margin-bottom: 1rem;
}

.dropdownItem {
  padding: 0.5rem 1rem;
  text-decoration: none !important;
  &:hover {
    background: var(--primary-hover);
    color: var(--primary-inverse);
  }
  &[data-active="true"] {
    background: var(--primary-focus);
    color: var(--primary-inverse);
  }
}

.dropdownPageButtons {
  padding: var(--spacing);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.dropdownTrigger {
}

.dropdownSearchBox {
  @include base.inputArea;
  margin: 0.5rem 0.5rem;
  > input {
    margin: 0 !important;
  }
}
